dynaperl

100% porentief rein

Artikel mit ‘pam’ getagged

Authentication Error nach libpam-mysql Upgrade

Samstag, 03. Mai 2008

Nach einem Upgrade (Sarge auf Etch) des libpam-mysql Paketes auf 0.5.0-6 schlägt die Authentifizierung fehl. Der Grund ist das standardmäßig die Mysql 4 Verschlüsselung verwendet wird. In meiner DB aber die Passwörter noch mit der 3er Version gehasht sind. Abhilfe schafft ein use_323_passwd=1 in /etc/pam.d/cyrus.

saslauthd[13558]: DEBUG: auth_pam: pam_authenticate failed: Permission denied
saslauthd[13558]: do_auth         : auth failure: [user=username] [service=imap]  [realm=] [mech=pam] [reason=PAM auth error]

Siehe auch /usr/share/doc/libpam-mysql/README.gz